Index: extensions/stripped_black_bloc/admin/admin.inc.php
===================================================================
--- extensions/stripped_black_bloc/admin/admin.inc.php	(revision 13895)
+++ extensions/stripped_black_bloc/admin/admin.inc.php	(revision 17828)
@@ -33,4 +33,5 @@
 	$config_send['starting_to']=(isset($_POST['f_starting_to'])) ? $_POST['f_starting_to'] : 1;
 	$config_send['catthumb']=(isset($_POST['f_catthumb'])) ? $_POST['f_catthumb'] : 'none';
+	$config_send['portrait_limitation']=(isset($_POST['f_portrait_limitation'])) ? $_POST['f_portrait_limitation'] : 'none';
 	conf_update_param('stripped_black_bloc', pwg_db_real_escape_string(serialize($config_send)));
 
Index: extensions/stripped_black_bloc/admin/admin.tpl
===================================================================
--- extensions/stripped_black_bloc/admin/admin.tpl	(revision 13895)
+++ extensions/stripped_black_bloc/admin/admin.tpl	(revision 17828)
@@ -45,4 +45,17 @@
     <li>
       <br><br>
+      <label>{'About portrait pictures :'|@translate}</label>
+      <br><br>
+     <label>
+        <input type="radio" name="f_portrait_limitation" id="portrait_limitation" value="none"  {if $options.portrait_limitation=="none"}checked{/if}>
+        &nbsp;{'No Maximum Height, the width is the one set above'|@translate}</label>
+      <br>
+      <label>
+        <input type="radio" name="f_portrait_limitation" id="portrait_limitation" value="yes" {if $options.portrait_limitation=="yes"}checked{/if}>
+        &nbsp;{'Use the width parameter above as a maximum heigth'|@translate}</label>
+      <br>
+    </li>
+    <li>
+      <br><br>
         <label for="thumbnail">{'About big thumbnails, for the albums :'|@translate}</label>
       <br><br>
Index: extensions/stripped_black_bloc/admin/maintain.inc.php
===================================================================
--- extensions/stripped_black_bloc/admin/maintain.inc.php	(revision 13895)
+++ extensions/stripped_black_bloc/admin/maintain.inc.php	(revision 17828)
@@ -13,5 +13,6 @@
  	'every_x'						=> 20,
 	'starting_to'						=> 1,
-  'catthumb'         => 'none' //none - same - all
+  'catthumb'         => 'none', //none - same - all
+  'portrait_limitation'         => 'none' //none - yes
       );
       
Index: extensions/stripped_black_bloc/admin/upgrade.inc.php
===================================================================
--- extensions/stripped_black_bloc/admin/upgrade.inc.php	(revision 13895)
+++ extensions/stripped_black_bloc/admin/upgrade.inc.php	(revision 17828)
@@ -13,5 +13,6 @@
   'every_x'           => 20,
   'starting_to'           => 1,
-  'catthumb'         => 'none' //none - same - all
+  'catthumb'         => 'none', //none - same - all
+  'portrait_limitation'         => 'none' //none - yes
   );
   $query = "
@@ -21,26 +22,15 @@
   load_conf_from_db();
 }
-elseif (count(unserialize( $conf['stripped_black_bloc'] ))!=6)
+elseif (count(unserialize( $conf['stripped_black_bloc'] ))!=7)
 {
+  $conff=unserialize($conf['stripped_black_bloc']);
   $config = array(
-  'color_main'            => 'E6554F',
-  'column_width'            => 170,
-  'thumbnail_width'           => 150,
-  'every_x'           => 20,
-  'starting_to'           => 1,
-  'catthumb'         => 'none' //none - same - all
-  );
-  conf_update_param('stripped_black_bloc', pwg_db_real_escape_string(serialize($config)));
-  load_conf_from_db();
-}
-elseif ($conff=unserialize($conf['stripped_black_bloc']) and ( !isset($conff['catthumb']) or empty($conff['catthumb'])) )
-{
-  $config = array(
-  'color_main'            => $conff['color_main'],
-  'column_width'            => $conff['column_width'],
-  'thumbnail_width'           => $conff['thumbnail_width'],
-  'every_x'           => $conff['every_x'],
-  'starting_to'           => $conff['starting_to'],
-  'catthumb'         => 'none' //none - same - all
+  'color_main'            => (isset($conff['color_main'])) ? $conff['color_main'] :'E6554F',
+  'column_width'            => (isset($conff['column_width'])) ? $conff['column_width'] :170,
+  'thumbnail_width'           => (isset($conff['thumbnail_width'])) ? $conff['thumbnail_width'] :150,
+  'every_x'           => (isset($conff['every_x'])) ? $conff['every_x'] : 20,
+  'starting_to'           => (isset($conff['starting_to'])) ? $conff['starting_to'] :1,
+  'catthumb'         => (isset($conff['catthumb'])) ? $conff['catthumb'] :'none', //none - same - all
+  'portrait_limitation'         => (isset($conff['portrait_limitation'])) ? $conff['portrait_limitation'] :'none' //none - yes
   );
   conf_update_param('stripped_black_bloc', pwg_db_real_escape_string(serialize($config)));