Index: /extensions/HistoryIPExcluder/language/it_IT/description.txt
===================================================================
--- /extensions/HistoryIPExcluder/language/it_IT/description.txt	(revision 17835)
+++ /extensions/HistoryIPExcluder/language/it_IT/description.txt	(revision 17836)
@@ -1,1 +1,1 @@
-Consenta l'esclusione di un IP o un intervallo IP della storia e della loro "lista nera" per l'inclusione
+Consente l'esclusione di un IP o un intervallo IP nello storico e li include nella "lista nera" quando vengono registrati
Index: /extensions/HistoryIPExcluder/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/language/it_IT/plugin.lang.php	(revision 17835)
+++ /extensions/HistoryIPExcluder/language/it_IT/plugin.lang.php	(revision 17836)
@@ -1,13 +1,13 @@
 <?php
-$lang['HIPE_description'] = 'Questo plugin esclude gli indirizzi IP o intervalli d\indieizzi dalla cronologgia e dalle statistiche.<br>Attivandolo, gli indirizzi IP specifici della tabella sottostante non saranno più registrati nella tabella *.history de PWG.';
+$lang['HIPE_description'] = 'Questo plugin esclude gli indirizzi IP o intervalli di indirizzi dalla cronologia e dalle statistiche.<br>Attivandolo, gli indirizzi IP specifici della tabella sottostante non saranno più registrati nella tabella *.history di PWG.';
 $lang['HIPE_admin_section1'] = 'Esclusione d\'IP';
 $lang['HIPE_admin_description1'] = 'Riempite le tabella sottostante con gli indirizzi IP o intervalli da escludere (uno per riga). Potete usare degli IP completi o una serie usando il carattere jolly "%".<br>Per esempio : 74.6.2.1 o 74.6.%<br><br>';
 $lang['HIPE_save_config']='Configurazione registrata.';
-$lang['HIPE_CleanHist']='Ripulire la cronologgia';
+$lang['HIPE_CleanHist'] = 'Ripulire la cronologia';
 
-$lang['HIPE_admin_section2'] = 'Selezioni sulla cronologgia';
-$lang['HIPE_admin_section3'] = 'Risultato della selezione';
+$lang['HIPE_admin_section2'] = 'Interrogazioni sulla cronologia';
+$lang['HIPE_admin_section3'] = 'Risultato dell\'interrogazione';
 $lang['HIPE_IPByMember'] = 'IP per utente';
-$lang['HIPE_IPByMember_description'] = 'Visualizza gli indirizzi IP legati a degli utenti, per indirizzo';
+$lang['HIPE_IPByMember_description'] = 'Visualizza gli indirizzi IP legati a degli utenti, ordinati per indirizzo';
 $lang['HIPE_OnlyGuest'] = 'IP solo degli ospiti';
 $lang['HIPE_OnlyGuest_description'] = 'Visualizza gli indirizzi IP usati unicamente dagli ospiti e il numero di volte che appaiono nella base, per numero di volte per IP';
@@ -16,10 +16,10 @@
 
 $lang['HIPE_IPForMember'] = 'IP di un\'utente';
-$lang['HIPE_IPForMember_description'] = 'Visualizza gli indirizzi IP legati agli utenti, per IP';
+$lang['HIPE_IPForMember_description'] = 'Cerca e visualizza gli indirizzi IP legati agli utenti (ordinati per IP)';
 $lang['HIPE_MemberForIp'] = 'Utenti di un\'indirizzo IP';
-$lang['HIPE_MemberForIp_description'] = 'Visualizza gli utenti legati ad un\'indirizzo IP, per utente';
+$lang['HIPE_MemberForIp_description'] = 'Visualizza gli utenti legati ad un\'indirizzo IP (ordinati per utente)';
 
-$lang['HIPE_resquet_ok'] = 'Esecuzzione della selezzione riuscita.';
-$lang['HIPE_hist_cleaned'] = 'Operazzione di "pulizzia" della cronologgia riuscito.';
+$lang['HIPE_resquet_ok'] = 'Selezione riuscita.';
+$lang['HIPE_hist_cleaned'] = 'Operazzione di "pulizia" della cronologia riuscito.';
 
 $lang['IP_geolocalisation'] = 'Geolocalizzazione';
@@ -28,5 +28,5 @@
 $lang['HIPE_version'] = ' - Versione: ';
 // --------- End: New or revised $lang ---- from version 2.1.0
-$lang['Error_HIPE_BlacklistedIP'] = 'Errore! Il tuo IP Ã¨ stato bannato. Non ti puoi registrare a questa galleria. Contatta l\'amministratore per ulteriori informazioni.';
+$lang['Error_HIPE_BlacklistedIP'] = 'Errore! Il tuo IP è stato bannato. Non ti puoi registrare a questa galleria. Contatta l\'amministratore per ulteriori informazioni.';
 $lang['HIPE_IPBlacklisted'] = 'Vieta la registrazione alla galleria agli IP (blacklist) esclusi';
 $lang['HIPE_IPBlacklist_title'] = 'Blacklist registrazioni';