Index: extensions/lmt/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/lmt/language/ru_RU/plugin.lang.php	(revision 17824)
+++ extensions/lmt/language/ru_RU/plugin.lang.php	(revision 17839)
@@ -65,3 +65,119 @@
 $lang['lmt_cfg_list_maxitems'] = 'Максимальное число элементов для отображения';
 $lang['lmt_cfg_warning_link'] = 'Включить перенаправление';
+$lang['lmt_select_none'] = 'Нет';
+$lang['lmt_six_licences'] = '6 лицензий';
+$lang['lmt_title'] = 'Инструмент управления лицензиями';
+$lang['lmt_warning_config'] = 'Управление текстом футера';
+$lang['lmt_way_--'] = 'Атрибуция (установление авторства)';
+$lang['lmt_way_nc'] = 'Не коммерческое использование';
+$lang['lmt_way_nd'] = 'Запрет на производные работы';
+$lang['lmt_whatisit'] = 'Что такое <i>Creative Commons?</i>';
+$lang['lmt_whatisit_def1'] = 'Creative Commons является некоммерческой организацией, которая предлагает гибкие контракты, свободные от копирайта, для распространения  своих творений. Применительно к вашей фотографии (или другого медиа, ктороые вы выложили онлайн), эти контракты позволяют каждому использовать их (ваши фото) без необходимости систематически получать разрешение на использование.';
+$lang['lmt_whatisit_def2'] = 'Существует 6 лицензий, основанные на 4 принципах, которые определяют условия использования.';
+$lang['lmt_yesno_n'] = 'Нет';
+$lang['lmt_yesno_y'] = 'Да';
+$lang['lmt_no_element_selected'] = 'Нет выбранных элементов!';
+$lang['lmt_no_text'] = 'Не заполнен текст!';
+$lang['lmt_nofilter'] = 'Все лицензии';
+$lang['lmt_official_website'] = 'Официальный сайт Creative Commons';
+$lang['lmt_ok'] = 'Ок';
+$lang['lmt_redirect_config'] = 'Перенаправления';
+$lang['lmt_redirect_urls'] = 'Перенаправления URL';
+$lang['lmt_replace_caddie'] = 'Очистите кэдди и добавить элементы';
+$lang['lmt_save_config'] = 'Конфигурация сохранена';
+$lang['lmt_search'] = 'Поиск';
+$lang['lmt_search_by_licence'] = 'Поиск фотографий по лицензии';
+$lang['lmt_search_pictures_with_licence_1'] = 'Поиск фотографий по лицензии:';
+$lang['lmt_search_pictures_with_licence_n'] = 'Поиск фотографий по одной из лицензии:';
+$lang['lmt_select_all'] = 'Все';
+$lang['lmt_select_invert'] = 'Обратно';
+$lang['lmt_lst_apply_filter'] = 'Фильтр';
+$lang['lmt_lst_default_licence'] = 'Фотографии опубликованные по умолчанию,  на условиях следующей лицензии';
+$lang['lmt_lst_nb_photos'] = 'фото';
+$lang['lmt_lst_special_licence'] = 'Следующие фото опубликованы на условиях лицензии.';
+$lang['lmt_manage'] = 'Управление заданиями';
+$lang['lmt_manageaut'] = 'Кправление авторами';
+$lang['lmt_modify'] = 'Редактировать';
+$lang['lmt_name'] = 'Имя';
+$lang['lmt_nav_first'] = 'Первый';
+$lang['lmt_nav_last'] = 'Последний';
+$lang['lmt_nav_next'] = 'Следующий';
+$lang['lmt_nav_prev'] = 'Предыдущий';
+$lang['lmt_nb_author_one'] = '1 автор установлен';
+$lang['lmt_nb_author_zero'] = 'Нет установленного автора';
+$lang['lmt_nb_authors'] = 'авторы установленные';
+$lang['lmt_no_author'] = '&lt;Нет авторов&gt;';
+$lang['lmt_lbl_cc_s-cright'] = '© Копирайт';
+$lang['lmt_lbl_cc_s-default'] = '- ';
+$lang['lmt_lbl_cc_s-pd'] = 'Всеобщее достояние';
+$lang['lmt_lbl_under-by'] = 'Опубликовано по лицензии';
+$lang['lmt_lbl_under-by-nc'] = 'Опубликовано по лицензии';
+$lang['lmt_lbl_under-by-nc-nd'] = 'Опубликовано по лицензии';
+$lang['lmt_lbl_under-by-nc-sa'] = 'Опубликовано по лицензии';
+$lang['lmt_lbl_under-by-nd'] = 'Опубликовано по лицензии';
+$lang['lmt_lbl_under-by-sa'] = 'Опубликовано по лицензии';
+$lang['lmt_lbl_under-cc0'] = 'Опубликовано по лицензии';
+$lang['lmt_lbl_under-cleft'] = 'Опубликовано по лицензии';
+$lang['lmt_licence'] = 'Лицензия';
+$lang['lmt_licence_config'] = 'Менджмент лицензий';
+$lang['lmt_licence_to_apply'] = 'Выбор лицензии';
+$lang['lmt_licence_type'] = 'Тип лицензии';
+$lang['lmt_list'] = 'Лицензированные фото';
+$lang['lmt_lbl_cc-by'] = 'Атрибуция (установление авторства)';
+$lang['lmt_lbl_cc-by-nc'] = 'Атрибуция (установление авторства) - Некоммерческая';
+$lang['lmt_lbl_cc-by-nc-nd'] = 'Атрибуция (установление авторства) - Некоммерческая, Запрет на производные работы';
+$lang['lmt_lbl_cc-by-nc-sa'] = 'Атрибуция (установление авторства) - Некоммерческая, Share Alike';
+$lang['lmt_lbl_cc-by-nd'] = 'Атрибуция (установление авторства) - Запрет на производные работы';
+$lang['lmt_lbl_cc-by-sa'] = 'Атрибуция (установление авторства) - Share Alike';
+$lang['lmt_lbl_cc-cc0'] = 'Права не защищины';
+$lang['lmt_lbl_cc-cleft'] = 'Копилефт';
+$lang['lmt_lbl_cc-cright'] = 'Копирайт';
+$lang['lmt_lbl_cc-default'] = 'Лицензия по умолчанию';
+$lang['lmt_lbl_cc-pd'] = 'Всеобщее достояние';
+$lang['lmt_lbl_cc_s-by'] = 'Creative Commons BY';
+$lang['lmt_lbl_cc_s-by-nc'] = 'Creative Commons BY-NC';
+$lang['lmt_lbl_cc_s-by-nc-nd'] = 'Creative Commons BY-NC-ND';
+$lang['lmt_lbl_cc_s-by-nc-sa'] = 'Creative Commons BY-NC-SA';
+$lang['lmt_lbl_cc_s-by-nd'] = 'Creative Commons BY-ND';
+$lang['lmt_lbl_cc_s-by-sa'] = 'Creative Commons BY-SA';
+$lang['lmt_lbl_cc_s-cc0'] = 'Creative Commons 0';
+$lang['lmt_lbl_cc_s-cleft'] = 'Копилефт';
+$lang['lmt_error_on_image_author'] = 'Проблема возникает при обновлении элементов, закрепленных за автором, который был удален';
+$lang['lmt_four_way'] = '4 принципа';
+$lang['lmt_general_config'] = 'Общие опции';
+$lang['lmt_general_text'] = '[logo=80x15]Контент (графическая информация), представленный на данном вебсайте является объектом авторского права, и, если не указано иначе, распространяется по лицензии Creative Commons [text=logo]';
+$lang['lmt_help'] = 'Помощь';
+$lang['lmt_help_config_1'] = 'В зависимости от количества элементов с номером лицензии или количества элементов в Вашей кэдди, размер области отображения будет меняться. Слишком большая область отображения может снизить удобство чтения страницы. <br> Этот параметр используется, чтобы явно задать максимальную высоту области отображения.';
+$lang['lmt_help_config_10'] = 'Если активирована, страница, на которую указывает гиперссылка откроется в новом окне.';
+$lang['lmt_help_config_2'] = 'Выбирает управлять лицензиями или нет. По сравнению с полностью отключенным плагином, эта опция позволяет отключить управление лицензиями на публичной части сайта, сохраняя администрирование при активации плагина.';
+$lang['lmt_help_config_3'] = 'Эта опция будет всегда показывать лицензию элемента, даже если лицензия по умолчанию назначена. <br> Если эта опция не включена, то лицензия будет отображаться только для элементов с конкретной лицензией.';
+$lang['lmt_help_config_4'] = 'Эта опция позволяет вам выбрать лицензию, которая будет применяться по умолчанию для элементов, у которых лицензии не были затронуты.';
+$lang['lmt_help_config_5'] = 'Эта опция позволяет вам выбрать, следует ли отображать или нет лицензии по умолчанию на всех страницах (будет показана на футере).';
+$lang['lmt_help_config_6'] = 'Если этот параметр включен, логотип, указывающий на лицензию  - это гиперссылка, перенаправляющая пользователя, на страницу с описанием более подробных условий работы с элементом.';
+$lang['lmt_help_config_7'] = 'Текст лицензии, отображаемый в нижней части страницы, изменяется в соответствии с вашими потребностями. <br> Можно просматривать элементы автоматически: <br> <b>[logo=80x15]</b> вставить лого, размером 80x15, лицензии, используемой, по умолчанию <br> <b>[logo=88x31]</b> вставить лого, размером 88x31, лицензии, используемой, по умолчанию<br> <b>[logo=text]</b>встравить тескт лицензии, используемой, по умолчанию';
+$lang['lmt_help_config_8'] = 'Эта опция позволяет вам выбрать автора, который будет назначен лицензии, используемой, по умолчанию.';
+$lang['lmt_help_config_9'] = 'Эта опция позволяет вам выбрать число элементов, отображаемых на одной странице.';
+$lang['lmt_icon_80x15'] = 'значок 80x15';
+$lang['lmt_icon_88x31'] = 'значок 88x31';
+$lang['lmt_icon_text'] = 'Текст';
+$lang['lmt_image'] = 'Изображение';
+$lang['lmt_cfg_licence_logo'] = 'Тип лого для отображения';
+$lang['lmt_cfg_warning_target'] = 'Открывать страницу в новом окне';
+$lang['lmt_cfg_warning_texts'] = 'Текст футера';
+$lang['lmt_cfg_warning_visible'] = 'Просмотр лицензии, установленной по умолчанию, в нижней части страницы';
+$lang['lmt_choose_licence_type'] = 'Выберите тип лицензии';
+$lang['lmt_choose_select'] = '&lt;Выбрать&gt;';
+$lang['lmt_clear_caddie_ko'] = 'Кэдди не может быть очищена';
+$lang['lmt_clear_caddie_ok'] = 'Кэдди очищена';
+$lang['lmt_clear_si_caddie_ko'] = 'Выбранные элементы не могут быть удалены из кэдди';
+$lang['lmt_clear_si_caddie_ok'] = 'Выбранные элементы были очищены из кэдди';
+$lang['lmt_config'] = 'Настройки';
+$lang['lmt_def_--'] = 'Работы могут свободно использоваться при условии, что в награду автору, вы процитируете его имя';
+$lang['lmt_def_nc'] = 'Правообладатель может разрешить все виды использования или запретить для некоммерческого использования (коммерческое использование требует разрешения).';
+$lang['lmt_def_nd'] = 'Правообладатель может по-прежнему оставляем за собой право делать такие производные работы или же разрешать заранее вносить изменения, переводы ...';
+$lang['lmt_delete'] = 'Удалить';
+$lang['lmt_display_config'] = 'Показать опции';
+$lang['lmt_do_save'] = 'Сохранить настройки';
+$lang['lmt_dontapply_do_clear_selected'] = 'Очистить выбранные элементы из кэдди без применения лицензии';
+$lang['lmt_error_num_items'] = 'По крайней мере, одна лицензия должна быть выбрана';
 ?>