Index: /trunk/admin/batch_manager_unit.php
===================================================================
--- /trunk/admin/batch_manager_unit.php	(revision 17855)
+++ /trunk/admin/batch_manager_unit.php	(revision 17856)
@@ -199,5 +199,5 @@
 
   $query = '
-SELECT id,path,representative_ext,name,date_creation,comment,author,level,file
+SELECT *
   FROM '.IMAGES_TABLE;
   
@@ -264,5 +264,5 @@
 
     $template->append(
-      'elements',
+      'elements', array_merge($row,
       array(
         'ID' => $row['id'],
@@ -271,8 +271,8 @@
         'LEGEND' => $legend,
         'U_EDIT' => get_root_url().'admin.php?page=photo-'.$row['id'],
-        'NAME' => !empty($row['name'])?$row['name']:'',
-        'AUTHOR' => !empty($row['author'])?htmlspecialchars($row['author']):'',
+        'NAME' => htmlspecialchars(@$row['name']),
+        'AUTHOR' => htmlspecialchars(@$row['author']),
         'LEVEL' => !empty($row['level'])?$row['level']:'0',
-        'DESCRIPTION' => !empty($row['comment'])?$row['comment']:'',
+        'DESCRIPTION' => htmlspecialchars(@$row['comment']),
         'DATE_CREATION_YEAR' => $year,
         'DATE_CREATION_MONTH' => (int)$month,
@@ -280,5 +280,5 @@
         'TAGS' => $tag_selection,
         )
-      );
+      ));
   }
 
Index: /trunk/admin/themes/default/template/batch_manager_global.tpl
===================================================================
--- /trunk/admin/themes/default/template/batch_manager_global.tpl	(revision 17855)
+++ /trunk/admin/themes/default/template/batch_manager_global.tpl	(revision 17856)
@@ -239,5 +239,5 @@
   }
 
-  $('img.thumbnail').tipTip({
+  $('.thumbnails img').tipTip({
     'delay' : 0,
     'fadeIn' : 200,
Index: /trunk/admin/themes/default/template/batch_manager_unit.tpl
===================================================================
--- /trunk/admin/themes/default/template/batch_manager_unit.tpl	(revision 17855)
+++ /trunk/admin/themes/default/template/batch_manager_unit.tpl	(revision 17856)
@@ -12,5 +12,5 @@
 prefix = ", ";
 {/if}
-	tag_boxes_selector = tag_boxes_selector + prefix + "#tags-" + {$element.ID};
+	tag_boxes_selector = tag_boxes_selector + prefix + "#tags-" + {$element.id};
 {/foreach}
 
@@ -56,7 +56,7 @@
 
   <span class="thumb">
-    <a href="{$element.FILE_SRC}" class="preview-box" title="{$element.LEGEND}"><img src="{$element.TN_SRC}" alt=""></a>
+    <a href="{$element.FILE_SRC}" class="preview-box" title="{$element.LEGEND|@htmlspecialchars}"><img src="{$element.TN_SRC}" alt=""></a>
     <br/>
-    <a href="{$element.U_EDIT}">{'Informations'|@translate}</a>
+    <a href="{$element.U_EDIT}">{'Edit'|@translate}</a>
   </span>
 
@@ -65,10 +65,10 @@
     <tr>
       <td><strong>{'Title'|@translate}</strong></td>
-      <td><input type="text" class="large" name="name-{$element.ID}" value="{$element.NAME}"></td>
+      <td><input type="text" class="large" name="name-{$element.id}" value="{$element.NAME}"></td>
     </tr>
 
     <tr>
       <td><strong>{'Author'|@translate}</strong></td>
-      <td><input type="text" class="large" name="author-{$element.ID}" value="{$element.AUTHOR}"></td>
+      <td><input type="text" class="large" name="author-{$element.id}" value="{$element.AUTHOR}"></td>
     </tr>
 
@@ -76,8 +76,8 @@
       <td><strong>{'Creation date'|@translate}</strong></td>
       <td>
-        <label><input type="radio" name="date_creation_action-{$element.ID}" value="unset"> {'unset'|@translate}</label>
-        <label><input type="radio" name="date_creation_action-{$element.ID}" value="set" id="date_creation_action_set-{$element.ID}"> {'set to'|@translate}</label>
+        <label><input type="radio" name="date_creation_action-{$element.id}" value="unset"> {'unset'|@translate}</label>
+        <label><input type="radio" name="date_creation_action-{$element.id}" value="set" id="date_creation_action_set-{$element.id}"> {'set to'|@translate}</label>
 
-        <select id="date_creation_day-{$element.ID}" name="date_creation_day-{$element.ID}">
+        <select id="date_creation_day-{$element.id}" name="date_creation_day-{$element.id}">
          	<option value="0">--</option>
            {section name=day start=1 loop=32}
@@ -85,16 +85,16 @@
            {/section}
         </select>
-        <select id="date_creation_month-{$element.ID}" name="date_creation_month-{$element.ID}">
+        <select id="date_creation_month-{$element.id}" name="date_creation_month-{$element.id}">
           {html_options options=$month_list selected=$element.DATE_CREATION_MONTH}
         </select>
-        <input id="date_creation_year-{$element.ID}"
-               name="date_creation_year-{$element.ID}"
+        <input id="date_creation_year-{$element.id}"
+               name="date_creation_year-{$element.id}"
                type="text"
                size="4"
                maxlength="4"
                value="{$element.DATE_CREATION_YEAR}">
-        <input id="date_creation_linked_date-{$element.ID}" name="date_creation_linked_date-{$element.ID}" type="hidden" size="10" disabled="disabled">
+        <input id="date_creation_linked_date-{$element.id}" name="date_creation_linked_date-{$element.id}" type="hidden" size="10" disabled="disabled">
         {footer_script}
-          pwg_initialization_datepicker("#date_creation_day-{$element.ID}", "#date_creation_month-{$element.ID}", "#date_creation_year-{$element.ID}", "#date_creation_linked_date-{$element.ID}", "#date_creation_action_set-{$element.ID}");
+          pwg_initialization_datepicker("#date_creation_day-{$element.id}", "#date_creation_month-{$element.id}", "#date_creation_year-{$element.id}", "#date_creation_linked_date-{$element.id}", "#date_creation_action_set-{$element.id}");
         {/footer_script}
       </td>
@@ -103,5 +103,5 @@
       <td><strong>{'Who can see this photo?'|@translate}</strong></td>
       <td>
-        <select name="level-{$element.ID}">
+        <select name="level-{$element.id}">
           {html_options options=$level_options selected=$element.LEVEL}
         </select>
@@ -113,5 +113,5 @@
       <td>
 
-<select id="tags-{$element.ID}" name="tags-{$element.ID}">
+<select id="tags-{$element.id}" name="tags-{$element.id}">
 {foreach from=$element.TAGS item=tag}
   <option value="{$tag.id}" class="selected">{$tag.name}</option>
@@ -124,5 +124,5 @@
     <tr>
       <td><strong>{'Description'|@translate}</strong></td>
-      <td><textarea cols="50" rows="5" name="description-{$element.ID}" id="description-{$element.ID}" class="description">{$element.DESCRIPTION}</textarea></td>
+      <td><textarea cols="50" rows="5" name="description-{$element.id}" id="description-{$element.id}" class="description">{$element.DESCRIPTION}</textarea></td>
     </tr>
 