Index: /extensions/GrumPluginClasses/css/dynamicTable_clear.css
===================================================================
--- /extensions/GrumPluginClasses/css/dynamicTable_clear.css	(revision 17860)
+++ /extensions/GrumPluginClasses/css/dynamicTable_clear.css	(revision 17861)
@@ -34,5 +34,6 @@
 div.ui-dynamicTableSortButton,
 div.ui-dynamicTableGroupButton-inactive,
-div.ui-dynamicTableGroupButton-active {
+div.ui-dynamicTableGroupButton-active,
+div.ui-dynamicTableFooter-saveButton {
   background-image:url(./../icons/buttons.png);
   background-repeat:no-repeat;
@@ -42,13 +43,14 @@
   border-radius:2px;
 }
-
+/*
 div.ui-dynamicTableFilterButton-inactive:hover,
 div.ui-dynamicTableFilterButton-active:hover,
 div.ui-dynamicTableSortButton:hover,
 div.ui-dynamicTableGroupButton-inactive:hover,
-div.ui-dynamicTableGroupButton-active:hover {
+div.ui-dynamicTableGroupButton-active:hover,
+div.ui-dynamicTableFooter-saveButton:hover {
   background-color:#999999;
 }
-
+*/
 div.ui-dynamicTableFilterButton-inactive {
   background-position:-120px -90px;
@@ -71,5 +73,5 @@
   background-position:-105px -105px;
 }
-
+/*
 div.ui-dynamicTableGroupButton-active {
   background-position:-360px -90px;
@@ -84,2 +86,24 @@
   background-position:-345px -105px;
 }
+*/
+
+div.ui-dynamicTableGroupButton-active {
+  background-position:-405px -90px;
+}
+div.ui-dynamicTableGroupButton-active:hover {
+  background-position:-405px -105px;
+}
+div.ui-dynamicTableGroupButton-inactive {
+  background-position:-390px -90px;
+}
+div.ui-dynamicTableGroupButton-inactive:hover {
+  background-position:-390px -105px;
+}
+
+
+div.ui-dynamicTableFooter-saveButton {
+  background-position:-375px -90px;
+}
+div.ui-dynamicTableFooter-saveButton:hover {
+  background-position:-375px -105px;
+}
Index: /extensions/GrumPluginClasses/css/dynamicTable_roma.css
===================================================================
--- /extensions/GrumPluginClasses/css/dynamicTable_roma.css	(revision 17860)
+++ /extensions/GrumPluginClasses/css/dynamicTable_roma.css	(revision 17861)
@@ -73,5 +73,5 @@
   background-position:-105px 0px;
 }
-
+/*
 div.ui-dynamicTableGroupButton-active {
   background-position:-360px -15px;
@@ -86,4 +86,21 @@
   background-position:-345px 0px;
 }
+*/
+
+/* group button => display/hide lines */
+div.ui-dynamicTableGroupButton-active {
+  background-position:-405px -15px;
+}
+div.ui-dynamicTableGroupButton-active:hover {
+  background-position:-405px 0px;
+}
+div.ui-dynamicTableGroupButton-inactive {
+  background-position:-390px -15px;
+}
+div.ui-dynamicTableGroupButton-inactive:hover {
+  background-position:-390px 0px;
+}
+
+
 
 div.ui-dynamicTableFooter-saveButton {
Index: /extensions/GrumPluginClasses/css/progressArea_clear.css
===================================================================
--- /extensions/GrumPluginClasses/css/progressArea_clear.css	(revision 17860)
+++ /extensions/GrumPluginClasses/css/progressArea_clear.css	(revision 17861)
@@ -18,5 +18,5 @@
 .ui-progressArea-globalBarProgress,
 .ui-progressArea-detailBarProgress {
-  background:#f9f9f9;
+  background:#999999;
 }
 
@@ -28,10 +28,11 @@
 /* dialog box */
 .ui-dialogProgressArea {
-  background:#AAAAAA;
+  color:#666666;
+  background:#DDDDDD;
   border:1px solid #999999;
 }
 .ui-dialogProgressArea div.ui-dialog-titlebar {
-  background:#DDDDDD;
-  color:#666666;
+  background:#999999;
+  color:#444444; /* #666666 is too light... */
 }
 .ui-dialogProgressArea div.ui-dialog-buttonpane button {
Index: /extensions/GrumPluginClasses/js/ui.dynamicTable.js
===================================================================
--- /extensions/GrumPluginClasses/js/ui.dynamicTable.js	(revision 17860)
+++ /extensions/GrumPluginClasses/js/ui.dynamicTable.js	(revision 17861)
@@ -774,5 +774,5 @@
           privateMethods.setPagesNavigator(object, (value.pagesNavigator!=null)?value.pagesNavigator:options.pagesNavigator);
           //privateMethods.setCurrentPage(object, (value.currentPage!=null)?value.currentPage:options.currentPage);
-          //privateMethods.setNbItemsPage(object, (value.nbItemsPage!=null)?value.nbItemsPage:options.nbItemsPage);
+          privateMethods.setNbItemsPage(object, (value.nbItemsPage!=null)?value.nbItemsPage:options.nbItemsPage);
 
           privateMethods.setEventContentLoading(object, (value.contentLoading!=null)?value.contentLoading:options.contentLoading);
Index: /extensions/GrumPluginClasses/js/ui.inputPages.js
===================================================================
--- /extensions/GrumPluginClasses/js/ui.inputPages.js	(revision 17860)
+++ /extensions/GrumPluginClasses/js/ui.inputPages.js	(revision 17861)
@@ -55,5 +55,5 @@
                     {
                       nbItems:0,
-                      nbITemsPage:50,
+                      nbItemsPage:50,
                       currentPage:1,
                       displayedPages:7,
@@ -551,5 +551,5 @@
               properties=object.data('properties');
 
-          properties.nbPages=Math.ceil(options.nbItems/options.nbITemsPage);
+          properties.nbPages=Math.ceil(options.nbItems/options.nbItemsPage);
         }, // calculateNbPages
 