Index: /extensions/BatchDownloader/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/BatchDownloader/language/it_IT/plugin.lang.php	(revision 17908)
+++ /extensions/BatchDownloader/language/it_IT/plugin.lang.php	(revision 17909)
@@ -22,7 +22,7 @@
 // +-----------------------------------------------------------------------+
 $lang['<b>Warning:</b> all files will be deleted within %d hours'] = '<b> Attenzione: </ b> tutti i file saranno cancellati entro %d ore';
-$lang['Archive comment'] = 'Archive commento';
+$lang['Archive comment'] = 'Archivio commento';
 $lang['Archive prefix'] = 'Archivio prefisso';
-$lang['Archives'] = 'Archivio';
+$lang['Archives'] = 'Archivi';
 $lang['Batch Downloader'] = 'Batch downloader';
 $lang['Cancel this download'] = 'Annulla il download';
@@ -33,13 +33,13 @@
 $lang['Download all pictures of this selection'] = 'Scarica tutte le immagini di questa selezione';
 $lang['Download history'] = 'Scarica la storia';
-$lang['Download info'] = 'Scarica l/\'informazione';
-$lang['Download links'] = 'link download';
-$lang['Download permissions'] = 'Scarica le autorizzazioni';
-$lang['Download set deleted'] = 'Scarica impostare cancellato';
+$lang['Download info'] = 'Scarica l\'\'informazione';
+$lang['Download links'] = 'Link download';
+$lang['Download permissions'] = 'Autorizzazioni download';
+$lang['Download set deleted'] = 'Set download cancellato';
 $lang['Downloads'] = 'Downloads';
 $lang['Edit the set'] = 'Modificare il set';
 $lang['Estimated number of archives'] = 'Numero stimato di archivi';
-$lang['Estimated size'] = 'dimensione stimata';
-$lang['Generate ZIP'] = 'genera ZIP';
+$lang['Estimated size'] = 'Dimensione stimata';
+$lang['Generate ZIP'] = 'Genera ZIP';
 $lang['Maximum number of photos per download set'] = 'Numero massimo di foto per il download set';
 $lang['Maximum photo size'] = 'Dimensione massima foto';
@@ -47,16 +47,15 @@
 $lang['Nb archives'] = 'Nb archivi';
 $lang['Nb images'] = 'Nb foto';
-$lang['Random'] = 'casuale';
+$lang['Random'] = 'Casuale';
 $lang['Remove all finished downloads'] = 'Rimuovere tutti i download terminati';
-$lang['Remove from download set'] = 'Togliere dal set del download';
+$lang['Remove from download set'] = 'Togliere dal set di download';
 $lang['Return to download page'] = 'Torna alla pagina download';
 $lang['Set type'] = 'Imposta il tipo';
 $lang['The archive is downloading, if the download doesn\'t start automatically please <a href="%s">click here</a>'] = 'L\'archivio sta scaricando, se il download non si avvia automaticamente si prega di <a href="%s">cliccare qui </ a>';
-$lang['Total size'] = 'dimensione totale';
-$lang['Unable to find ZipArchive PHP extension, Batch Downloader can\'t work without this extension.'] = 'Impossibile trovare ZipArchive estensione PHP, il batch downloader non può funzionare senza questa estensione.';
-$lang['User collection'] = 'raccolta dell/\'utente';
-$lang['User groups'] = 'gruppi d/\'utenti';
-$lang['Warning: ZipArchive doesn\'t accept special characters like accentuated ones, angle quotes (») and non-latin alphabets.'] = 'Attenzione: Il ZipArchive non accetta i caratteri speciali come accenti, citazioni (») e alfabeti non latini.';
-$lang['Whole gallery'] = 'intera galleria';
+$lang['Total size'] = 'Dimensione totale';
+$lang['User collection'] = 'Raccolta dell\'utente';
+$lang['User groups'] = 'Gruppi di utenti';
+$lang['Warning: ZipArchive doesn\'t accept special characters like accentuated ones, angle quotes (») and non-latin alphabets.'] = 'Attenzione: ZipArchive non accetta i caratteri speciali come accenti, citazioni (») e alfabeti non latini.';
+$lang['Whole gallery'] = 'Intera galleria';
 $lang['You can not edit this set'] = 'Non è possibile modificare questo set';
 $lang['You choose to download %d pictures, but the system is limited to %d. You can edit the set, or the last %d pictures will not be downloaded.'] = 'Hai scelto di scaricare %d immagini, però il sistema è limitato a %d immagini. Puoi modificare il set o le ultime %d immagini non saranno scaricate.';
@@ -64,4 +63,5 @@
 $lang['download'] = 'download';
 $lang['hours'] = 'ore';
-$lang['real number of archives can differ'] = 'numero reale degli archivi possono differire';
+$lang['real number of archives can differ'] = 'Il numero reale degli archivi può differire';
+$lang['Unable to find ZipArchive PHP extension, Batch Downloader will use PclZip instead, but with degraded performance.'] = 'Impossibile trovare l\'estensione PHP ZipArchive, Batch Downloader utilizzerà PclZip ma con performance inferiore.';
 ?>