Index: extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 17800)
+++ extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 17918)
@@ -182,5 +182,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Handbuch Validierung';
+$lang['UAM_Manual_Validation'] = 'Handbuch Validierung';
 $lang['UAM_Confirm_Mail_true'] = ' Aktivieren - Validation von Benutzer';
 $lang['UAM_Confirm_Mail_local'] = ' Aktivieren - Validation von admin (keine Validierung Key gesendet)';
Index: extensions/UserAdvManager/trunk/language/el_GR/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/el_GR/plugin.lang.php	(revision 17800)
+++ extensions/UserAdvManager/trunk/language/el_GR/plugin.lang.php	(revision 17918)
@@ -116,5 +116,5 @@
 $lang['UAM_GTAutoDel'] = 'Αυτόματη διαγραφή των λογαριασμών';
 $lang['UAM_GTAuto'] = 'Αυτόματη διαχείριση των ghosts users';
-$lang['UAM_Force_Validation'] = 'Χειροκίνητη επιβεβαίωση';
+$lang['UAM_Manual_Validation'] = 'Χειροκίνητη επιβεβαίωση';
 $lang['UAM_Expired_Status'] = '<b>Η Κατάσταση</b> για την εγγραφή του χρήστη έχει λήξει<br>';
 $lang['UAM_Expired_Level'] = '<b>Το επίπεδο προστασίας</b> για την εγγραφή του χρήστη έχει λήξει<br>';
Index: extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 17800)
+++ extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 17918)
@@ -155,5 +155,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Manual confirmation';
+$lang['UAM_Manual_Validation'] = 'Manual confirmation';
 $lang['UAM_Confirm_Mail_true'] = ' Enable - Confirmation by user';
 $lang['UAM_Confirm_Mail_local'] = ' Enable - Confirmation by admin (no confirmation key sent)';
Index: extensions/UserAdvManager/trunk/language/es_ES/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 17800)
+++ extensions/UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 17918)
@@ -215,5 +215,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Validación manual';
+$lang['UAM_Manual_Validation'] = 'Validación manual';
 $lang['UAM_Confirm_Mail_true'] = ' Activar - La validación por el usuario';
 $lang['UAM_Confirm_Mail_local'] = ' Activar - La validación por el administrador (sin clave de validación enviado)';
Index: extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 17800)
+++ extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 17918)
@@ -167,5 +167,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Confirmation manuelle';
+$lang['UAM_Manual_Validation'] = 'Confirmation manuelle';
 $lang['UAM_Confirm_Mail_true'] = ' Activer - Confirmation par le visiteur';
 $lang['UAM_Confirm_Mail_local'] = ' Activer - Confirmation par l\'administrateur (pas d\'envoi de clé de confirmation)';
Index: extensions/UserAdvManager/trunk/language/hu_HU/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/hu_HU/plugin.lang.php	(revision 17800)
+++ extensions/UserAdvManager/trunk/language/hu_HU/plugin.lang.php	(revision 17918)
@@ -176,5 +176,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Kézi érvényesítés';
+$lang['UAM_Manual_Validation'] = 'Kézi érvényesítés';
 $lang['UAM_Confirm_Mail_true'] = ' Bekapcsolva - Érvényesítés a felhasználó által';
 $lang['UAM_Confirm_Mail_local'] = ' Bekapcsolva - Érvényesítés az adminisztrátor által (nincs érvényesítő kulcs küldés)';
Index: extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 17800)
+++ extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 17918)
@@ -175,5 +175,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Conferma manuale';
+$lang['UAM_Manual_Validation'] = 'Conferma manuale';
 $lang['UAM_Confirm_Mail_true'] = ' Attivare - Validazione da parte dell\'utente';
 $lang['UAM_Confirm_Mail_local'] = ' Attivare - Validazione da parte di un amministratore (nessuna chiave di validazione inviata)';
Index: extensions/UserAdvManager/trunk/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/lv_LV/plugin.lang.php	(revision 17800)
+++ extensions/UserAdvManager/trunk/language/lv_LV/plugin.lang.php	(revision 17918)
@@ -213,5 +213,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Manuālā apstiprināšana';
+$lang['UAM_Manual_Validation'] = 'Manuālā apstiprināšana';
 $lang['UAM_Confirm_Mail_true'] = ' Iespējot – Apstiprinājis lietotājs';
 $lang['UAM_Confirm_Mail_local'] = ' Iespējot – Apstiprinājis administrators (netika nosūtīta apstiprināšanas atslēga)';