Index: /extensions/skeleton/include/install.inc.php
===================================================================
--- /extensions/skeleton/include/install.inc.php	(revision 17923)
+++ /extensions/skeleton/include/install.inc.php	(revision 17924)
@@ -9,4 +9,7 @@
  *    - use "if empty" for configuration vars
  *    - use "IF NOT EXISTS" for table creation
+ *
+ * Unlike the functions in maintain.inc.php, the name of this function must be unique
+ * and not enter in conflict with other plugins.
  */
 
@@ -29,10 +32,10 @@
   // add a new table
 	pwg_query('
-CREATE TABLE IF NOT EXISTS `'.$prefixeTable.'skeleton` (
+CREATE TABLE IF NOT EXISTS `'. $prefixeTable .'skeleton` (
   `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
   `field1` mediumint(8) DEFAULT NULL,
   `field2` varchar(64) NOT NULL,
   PRIMARY KEY (`id`)
-) DEFAULT CHARSET=utf8
+) ENGINE=MyISAM DEFAULT CHARSET=utf8
 ;');
 
Index: /extensions/skeleton/include/public_events.inc.php
===================================================================
--- /extensions/skeleton/include/public_events.inc.php	(revision 17923)
+++ /extensions/skeleton/include/public_events.inc.php	(revision 17924)
@@ -94,3 +94,26 @@
 }
 
+/**
+ * add a prefilter on photo page
+ */
+function skeleton_loc_end_picture()
+{
+  global $template;
+  
+  $template->set_prefilter('picture', 'skeleton_picture_prefilter');
+}
+
+function skeleton_picture_prefilter($content)
+{
+  $search = '{if $display_info.author and isset($INFO_AUTHOR)}';
+  $replace = '<div id="Skeleton" class="imageInfo">
+		<dt>{\'Skeleton\'|@translate}</dt>
+		<dd style="color:orange;">{\'Piwigo rocks\'|@translate}</dd>
+	</div>
+'.$search;
+
+  return str_replace($search, $replace, $content);
+}
+  
+
 ?>
Index: /extensions/skeleton/language/en_UK/intro.html
===================================================================
--- /extensions/skeleton/language/en_UK/intro.html	(revision 17923)
+++ /extensions/skeleton/language/en_UK/intro.html	(revision 17924)
@@ -14,4 +14,5 @@
     <li>New tabs for core admin pages</li>
     <li>New filters and actions in the Batch Manager</li>
+    <li>Simple template prefilter (on picture.php page)</li>
   </ul>
 </p>
Index: /extensions/skeleton/language/fr_FR/intro.html
===================================================================
--- /extensions/skeleton/language/fr_FR/intro.html	(revision 17923)
+++ /extensions/skeleton/language/fr_FR/intro.html	(revision 17924)
@@ -14,4 +14,5 @@
     <li>Ajout d'onglet sur les pages d'administration existantes</li>
     <li>Nouveaux filtres et actions pour le gestionnaire de lots</li>
+    <li>Préfiltre de template simple (sur page picture.php)</li>
   </ul>
 </p>
Index: /extensions/skeleton/main.inc.php
===================================================================
--- /extensions/skeleton/main.inc.php	(revision 17923)
+++ /extensions/skeleton/main.inc.php	(revision 17924)
@@ -22,10 +22,12 @@
 // | Define plugin constants                                               |
 // +-----------------------------------------------------------------------+
-define('SKELETON_PATH' ,   PHPWG_PLUGINS_PATH . 'skeleton/');
+defined('SKELETON_ID') or define('SKELETON_ID', basename(dirname(__FILE__)));
+define('SKELETON_PATH' ,   PHPWG_PLUGINS_PATH . SKELETON_ID . '/');
 define('SKELETON_TABLE',   $prefixeTable . 'skeleton');
-define('SKELETON_ADMIN',   get_root_url() . 'admin.php?page=plugin-skeleton');
+define('SKELETON_ADMIN',   get_root_url() . 'admin.php?page=plugin-' . SKELETON_ID);
 define('SKELETON_PUBLIC',  get_absolute_root_url() . make_index_url(array('section' => 'skeleton')) . '/');
 define('SKELETON_DIR',     PWG_LOCAL_DIR . 'skeleton/');
-define('SKELETON_VERSION', '2.4.0'); // <= don't forget to manually update this constant!
+define('SKELETON_VERSION', 'auto');
+// this is automatically updated by PEM if you publish your plugin with SVN, otherwise you musn't forget to change it, as well as "Version" in the plugin header
 
 
@@ -42,5 +44,5 @@
   
   // new tab on photo page
-  add_event_handler('tabsheet_before_select','skeleton_tabsheet_before_select', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
+  add_event_handler('tabsheet_before_select', 'skeleton_tabsheet_before_select', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
   
   // new prefiler in Batch Manager
@@ -69,4 +71,7 @@
   // NOTE: skeleton_blockmanager_apply1() and skeleton_blockmanager_apply2() can (should) be merged
   
+  // prefilter on photo page
+  add_event_handler('loc_end_picture', 'skeleton_loc_end_picture');
+  
   // file containing all previous handlers functions
   include_once(SKELETON_PATH . 'include/public_events.inc.php');
@@ -92,6 +97,6 @@
   // apply upgrade if needed
   if (
-    $pwg_loaded_plugins['skeleton']['version'] == 'auto' or
-    version_compare($pwg_loaded_plugins['skeleton']['version'], SKELETON_VERSION, '<')
+    $pwg_loaded_plugins[SKELETON_ID]['version'] == 'auto' or
+    version_compare($pwg_loaded_plugins[SKELETON_ID]['version'], SKELETON_VERSION, '<')
   )
   {
@@ -101,13 +106,13 @@
     
     // update plugin version in database
-    if ($pwg_loaded_plugins['skeleton']['version'] != 'auto')
+    if ($pwg_loaded_plugins[SKELETON_ID]['version'] != 'auto')
     {
       $query = '
 UPDATE '. PLUGINS_TABLE .'
 SET version = "'. SKELETON_VERSION .'"
-WHERE id = "skeleton"';
+WHERE id = "'. SKELETON_ID .'"';
       pwg_query($query);
       
-      $pwg_loaded_plugins['skeleton']['version'] = SKELETON_VERSION;
+      $pwg_loaded_plugins[SKELETON_ID]['version'] = SKELETON_VERSION;
       
       if (defined('IN_ADMIN'))
Index: /extensions/skeleton/maintain.inc.php
===================================================================
--- /extensions/skeleton/maintain.inc.php	(revision 17923)
+++ /extensions/skeleton/maintain.inc.php	(revision 17924)
@@ -2,5 +2,6 @@
 defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');
 
-include_once(PHPWG_PLUGINS_PATH . 'skeleton/include/install.inc.php');
+defined('SKELETON_ID') or define('SKELETON_ID', basename(dirname(__FILE__)));
+include_once(PHPWG_PLUGINS_PATH . SKELETON_ID . '/include/install.inc.php');
 
 /**
@@ -55,5 +56,5 @@
   
   // delete table
-  pwg_query('DROP TABLE `'.$prefixeTable.'skeleton`;');
+  pwg_query('DROP TABLE `'. $prefixeTable .'skeleton`;');
   
   // delete field